Index: SPECS/xorg-x11-server.spec
===================================================================
--- SPECS.orig/xorg-x11-server.spec
+++ SPECS/xorg-x11-server.spec
@@ -3,7 +3,7 @@
 Summary:   X.Org X11 X server
 Name:      xorg-x11-server
 Version:   1.1.1
-Release:   47.8%{?dist}
+Release:   47.8.fa1%{?dist}
 URL:       http://www.x.org
 License:   MIT/X11
 Group:     User Interface/X
@@ -30,6 +30,7 @@ Patch13:   xorg-x11-server-1.1.1-xkb-vid
 Patch14:   xserver-1.2.0-xephyr-keysym-madness.patch
 Patch15:   xserver-1.2.0-glcore-visual-count.patch
 Patch16:   xorg-x11-server-1.1.1-no-pseudocolor-composite.patch
+Patch17:   xorg-server-1.1.1-arm-iopl.patch
 
 # http://xorg.freedesktop.org/releases/X11R7.1/patches/xorg-xserver-1.1.0-dbe-render.diff
 Patch50:   xorg-xserver-1.1.0-dbe-render.diff
@@ -88,7 +89,7 @@ Patch3017:  xorg-x11-server-1.1.1-believ
 %define drimoduledir	%{_libdir}/dri
 %define sdkdir		%{_includedir}/xorg
 
-%ifarch %{ix86} x86_64 ppc ppc64 ia64 alpha sparc sparc64
+%ifarch %{ix86} x86_64 ppc ppc64 ia64 alpha %{arm} sparc sparc64
 %define xservers --enable-xorg --enable-dmx --enable-xvfb --enable-xnest --enable-kdrive --enable-xephyr
 %define with_hw_servers 1
 %define with_dmx_server 1
@@ -109,7 +110,7 @@ Patch3017:  xorg-x11-server-1.1.1-believ
 %ifarch %{ix86} x86_64 ppc ia64 alpha sparc sparc64
 %define with_dri	1
 %endif
-%ifarch ppc64 s390 s390x
+%ifarch %{arm} ppc64 s390 s390x
 %define with_dri	0
 %endif
 
@@ -364,6 +365,7 @@ drivers, input drivers, or other X modul
 %patch14 -p1 -b .xephyr-keysym
 %patch15 -p1 -b .glcore-visuals
 %patch16 -p1 -b .pseudocomposite
+%patch17 -p1 -b .arm-iopl-fix
 
 %patch50 -p1 -b .alloca
 %patch51 -p1 -b .xcmisc
